//(c) 2015-2016 Loe Feijs and TU/e
//for Digital Craftmanship and Golden Ratio
//The ellipse is approximated by a Catmul-Rom spline.
//See mathworld.wolfram.com/Ellipse.html

import processing.pdf.*;

int XSIZE=int(3.6*297);
int YSIZE=int(3.6*210);
int NR = 1;

void setup() {
  //noLoop(); 
  smooth();
  stroke(0);
  background(255);
  size(1069,756);
  beginRecord(PDF, "ELLIPSE_" + str(NR) + ".pdf");
}

void ellipse(float xc, float yc){
     //xc,yc coordinates of centre
     int steps = 500;
     float a = 20; //half-diameter horizontally
     float b = 100; //half-diameter vertically
     float dphi = 2*PI/steps;
     noFill();
     beginShape();
     curveVertex(xc + a, yc);
     for (int i=0; i<steps + 1; i++){
          float x = xc + a * cos(i * dphi);
          float y = yc + b * sin(i * dphi);
          curveVertex(x,y);
     }
     endShape();
}


float dx = 0;
float dy = 0;
void draw() {
  float x = 200;
  float y = height/2;
  dx += 5;
  dy = 50*sin(radians(dx));
  ellipse(x + dx, y + dy); 
  delay(100);
}

void keyPressed() {
  endRecord();
  exit();
}